From 613218f0d80e7dd9bd688d6a30d06d33fd83d0c4 Mon Sep 17 00:00:00 2001
From: Ellie Huxtable <ellie@elliehuxtable.com>
Date: Mon, 7 Aug 2023 12:06:48 +0100
Subject: [PATCH] Fix client-only builds (#1155)

---
 atuin-client/Cargo.toml | 13 +++----------
 atuin-client/src/lib.rs |  3 +--
 2 files changed, 4 insertions(+), 12 deletions(-)

diff --git a/atuin-client/Cargo.toml b/atuin-client/Cargo.toml
index 42513d3e5..78f7b515d 100644
--- a/atuin-client/Cargo.toml
+++ b/atuin-client/Cargo.toml
@@ -13,14 +13,7 @@ repository = { workspace = true }
 
 [features]
 default = ["sync"]
-sync = [
-  "urlencoding",
-  "reqwest",
-  "sha2",
-  "hex",
-  "generic-array",
-  "xsalsa20poly1305",
-]
+sync = ["urlencoding", "reqwest", "sha2", "hex"]
 
 [dependencies]
 atuin-common = { path = "../atuin-common", version = "16.0.0" }
@@ -55,6 +48,8 @@ typed-builder = "0.14.0"
 tokio = { workspace = true }
 semver = { workspace = true }
 futures = "0.3"
+xsalsa20poly1305 = "0.9.0"
+generic-array = { version = "0.14", features = ["serde"] }
 
 # encryption
 rusty_paseto = { version = "0.5.0", default-features = false }
@@ -68,8 +63,6 @@ urlencoding = { version = "2.1.0", optional = true }
 reqwest = { workspace = true, optional = true }
 hex = { version = "0.4", optional = true }
 sha2 = { version = "0.10", optional = true }
-xsalsa20poly1305 = { version = "0.9.0", optional = true }
-generic-array = { version = "0.14", optional = true, features = ["serde"] }
 
 [dev-dependencies]
 tokio = { version = "1", features = ["full"] }
diff --git a/atuin-client/src/lib.rs b/atuin-client/src/lib.rs
index 3f12153af..7ecfa894e 100644
--- a/atuin-client/src/lib.rs
+++ b/atuin-client/src/lib.rs
@@ -6,11 +6,10 @@ extern crate log;
 #[cfg(feature = "sync")]
 pub mod api_client;
 #[cfg(feature = "sync")]
-pub mod encryption;
-#[cfg(feature = "sync")]
 pub mod sync;
 
 pub mod database;
+pub mod encryption;
 pub mod history;
 pub mod import;
 pub mod kv;
